curl --request GET \
--url https://qti.alpha-1edtech.ai/api/stimuli \
--header 'Authorization: Bearer <token>'import requests
url = "https://qti.alpha-1edtech.ai/api/stimuli"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://qti.alpha-1edtech.ai/api/stimuli', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://qti.alpha-1edtech.ai/api/stimuli",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://qti.alpha-1edtech.ai/api/stimuli"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://qti.alpha-1edtech.ai/api/stimuli")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://qti.alpha-1edtech.ai/api/stimuli")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"identifier": "<string>",
"title": "<string>",
"catalogInfo": [
{
"id": "<string>",
"support": "<string>",
"content": "<string>"
}
],
"rawXml": "<string>",
"content": {
"qti-assessment-stimulus": {
"_attributes": {
"xmlns": "<string>",
"xmlns:xsi": "<string>",
"xsi:schemaLocation": "<string>",
"identifier": "<string>",
"xml:lang": "<string>",
"title": "<string>"
},
"qti-stimulus-body": {},
"qti-stylesheet": {
"_attributes": {
"href": "<string>",
"type": "<string>"
}
},
"qti-catalog-info": {
"qti-catalog": {
"_attributes": {
"id": "<string>"
},
"qti-card": {
"_attributes": {
"support": "<string>"
},
"qti-html-content": {}
}
}
}
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isValidQTI": true,
"warnings": [
"<string>"
],
"label": "<string>",
"language": "en",
"stylesheet": {
"href": "<string>",
"type": "<string>"
},
"toolName": "<string>",
"toolVersion": "<string>",
"metadata": {},
"__v": 123
}
],
"total": 123,
"page": 1,
"pages": 123,
"limit": 10,
"sort": "<string>",
"order": "asc"
}{
"error": "<string>",
"code": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"traceId": "<string>"
}Search and filter stimuli
Get all stimuli on the service provider. Search with advanced filtering capabilities. Supports text search across titles and identifiers, sorting, and pagination.
curl --request GET \
--url https://qti.alpha-1edtech.ai/api/stimuli \
--header 'Authorization: Bearer <token>'import requests
url = "https://qti.alpha-1edtech.ai/api/stimuli"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://qti.alpha-1edtech.ai/api/stimuli', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://qti.alpha-1edtech.ai/api/stimuli",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://qti.alpha-1edtech.ai/api/stimuli"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://qti.alpha-1edtech.ai/api/stimuli")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://qti.alpha-1edtech.ai/api/stimuli")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"items": [
{
"identifier": "<string>",
"title": "<string>",
"catalogInfo": [
{
"id": "<string>",
"support": "<string>",
"content": "<string>"
}
],
"rawXml": "<string>",
"content": {
"qti-assessment-stimulus": {
"_attributes": {
"xmlns": "<string>",
"xmlns:xsi": "<string>",
"xsi:schemaLocation": "<string>",
"identifier": "<string>",
"xml:lang": "<string>",
"title": "<string>"
},
"qti-stimulus-body": {},
"qti-stylesheet": {
"_attributes": {
"href": "<string>",
"type": "<string>"
}
},
"qti-catalog-info": {
"qti-catalog": {
"_attributes": {
"id": "<string>"
},
"qti-card": {
"_attributes": {
"support": "<string>"
},
"qti-html-content": {}
}
}
}
}
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"isValidQTI": true,
"warnings": [
"<string>"
],
"label": "<string>",
"language": "en",
"stylesheet": {
"href": "<string>",
"type": "<string>"
},
"toolName": "<string>",
"toolVersion": "<string>",
"metadata": {},
"__v": 123
}
],
"total": 123,
"page": 1,
"pages": 123,
"limit": 10,
"sort": "<string>",
"order": "asc"
}{
"error": "<string>",
"code": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"traceId": "<string>"
}{
"error": "<string>",
"code": "<string>",
"title": "<string>",
"status": 123,
"detail": "<string>",
"details": "<string>",
"errors": [
{
"detail": "<string>",
"pointer": "<string>"
}
],
"traceId": "<string>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Search title and identifier fields using a search term. This is a fuzzy search.
Page number for pagination
x >= 11
Number of items per page
1 <= x <= 100010
Field to sort by
createdAt, updatedAt, title, identifier "createdAt"
Sort order
asc, desc "desc"
Response
Successfully retrieved stimuli
Paginated response containing all stimuli that match the search criteria with navigation metadata
The items array will contain all stimuli that match the search criteria on the service provider.
Show child attributes
Show child attributes
The total number of entities that match the search criteria.
The page number of the entities that match the search criteria.
The total number of pages of entities that match the search criteria.
The number of entities per page.
The field to sort the entities by.
The order to sort the entities by. Either 'asc' or 'desc'.
asc, desc